Bug 43965 - FILEOPEN RTF: \page ignored,
Summary: FILEOPEN RTF: \page ignored,
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:3.6.0 target:3.5.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-12-19 15:40 UTC by Rhodes
Modified: 2012-03-30 14:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test file for the observed regressions (698 bytes, text/rtf)
2011-12-20 10:35 UTC, Rhodes
Details
Example rendering by LibO 3.5.2rc2 (2.43 KB, application/pdf)
2012-03-30 14:24 UTC, Rhodes
Details
Example rendering by Word v.X (1.56 KB, application/pdf)
2012-03-30 14:25 UTC, Rhodes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rhodes 2011-12-19 15:40:56 UTC
Testing LibO 3.5.0 beta 1, I am happy to see my previous bugs 36922 and 43206 resolved. However, I observed 3 regressions from LibO 3.3.2 in RTF import:

1. The RTF control word "\page" no longer causes a page feed. Oops.

2. Subscripts of the form "{\fsNN\dnN subscript-text}", where uppercase"N" is an appropriate integer, display much too small. This is the old style of subscript, predating "\sub" (which usually both lowers the subscript below the baseline and shrinks the font size -- though Apple's TextEdit doesn't shrink). My guess is that displayed subscripts are undergoing both the old and new ("\sub") transformations. Superscripts ("\upN" or "\sup") probably need checking too.

3. Paragraph borders no longer appear when invoked by the "\brdr..." or "\box" control words.

All these act correctly in LibO 3.3.2 on both MacOS PPC and Windows XP Intel.
Comment 1 Rhodes 2011-12-20 10:35:10 UTC
Created attachment 54604 [details]
Test file for the observed regressions

The attachment is a simple RTF test file which works fine in LO 3.3.2 but not in 3.5.0b1 .
Comment 2 Rhodes 2012-01-02 15:02:59 UTC
LibO 3.5.0 beta 2 still shows the same errors with the test file.
Comment 3 Rainer Bielefeld Retired 2012-01-14 02:04:20 UTC
I at least can confirm the various paragraph border problems, rest will have to be tested.

@Rhodes@RecurrentEngineering.com 
Thank you for your report. It contains very different problems what might be related to different bugs - for example the double paragraph border problem started with 3.4 (and might be related to "Bug 44768 - [Task]: FILEOPEN border compatibility issues"), the single line paragraph border problem started with 3.5.

So we sill have to divide this report into several other ones (please also see <http://wiki.documentfoundation.org/BugReport_Details#Version>!)
Comment 4 Rainer Bielefeld Retired 2012-01-29 22:07:30 UTC
[Reproducible] with "LibreOffice 3.5.0 RC2 German UI/Locale [Build-ID: e371a95-bf68a13-5a1aa2b-d3c1ae9-b938258] on German WIN7 Home Premium (64bit):
- MS WORD viewer shows new page for "This is on the second page"
- LibO does not show new page.

Ok with LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit), LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit), so REGRESSION 

Was also ok with Master from July 2011. Terrible damages including reported problems in Master 2011-11-11. Later master versions show document better, but with page problem.

For Problems "subscripts scaled twice, and paragraph borders lost" I will submit additional reports

@Miklós:
Please feel free to reassign (or reset Assignee to default) if it’s not your area. Please set Status to ASSIGNED if you accept this Bug.
Comment 5 Miklos Vajna 2012-01-30 01:04:16 UTC
Indeed, \page is ignored at the moment. I'll fix this soon.
Comment 9 Rhodes 2012-02-16 12:07:33 UTC
I just tried this this test file on the LibreOffice 3.5.0 release for Mac PPC, and unfortunately all of the same errors as detailed in my report of 2011-12-19 15:40:56 PST still occur.
Comment 10 Miklos Vajna 2012-02-16 12:14:10 UTC
Hello,

That is quite expected, the fix has been committed to master, then cherry-picked to -3-5 after the -3-5-0 branchoff, so it will be available in 3.5.1.

Miklos
Comment 11 Rhodes 2012-03-15 11:57:20 UTC
I just tried this this test file on the LibreOffice 3.5.1 release for Mac PPC,
and while the \page problem is fixed, errors 2 and 3 as detailed in my report of 2011-12-19
15:40:56 PST still occur. Should I submit these as separate bugs, or has that already been done?
Comment 12 Miklos Vajna 2012-03-16 05:56:07 UTC
Rhodes,

Thanks for checking, I totally forgot about the 2nd and 3rd issues -- as you found out we usually try to report one issue in a bug, so *in the future*: yes, please open a separate bug for separate problems.

I checked the 2nd and 3rd problems and they do not seem to be too hard to fix, I'll try to submit a patch on Monday, which is the deadline for 3.5.2, so hopefully they'll be fixed in that version.

Miklos
Comment 13 Not Assigned 2012-03-19 01:12:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb34b73730a3109bdcae0a03137c1faffab610d5

fdo#43965 dmapper: fix line width default
Comment 14 Not Assigned 2012-03-19 01:13:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dac6b7938173d0793810ee5731de51c440c1af5e

fdo#43965 fix RTF import of \up and \dn with custom parameters
Comment 15 Not Assigned 2012-03-19 01:13:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd875e4f6a7b6c6bea7121f701821d7c7ba7f6d0

testcase for fdo#43965
Comment 16 Not Assigned 2012-03-20 04:18:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9aa086f71ef8940104c477664c1192bbd85e063&g=libreoffice-3-5

fdo#43965 dmapper: fix line width default


It will be available in LibreOffice 3.5.2.
Comment 17 Not Assigned 2012-03-20 04:18:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=edc6079bbf61717de040bd8f473dba79ac22f24b&g=libreoffice-3-5

fdo#43965 fix RTF import of \up and \dn with custom parameters


It will be available in LibreOffice 3.5.2.
Comment 18 Rhodes 2012-03-30 14:23:04 UTC
Thank you for the additional fixes. LibO 3.5.2rc2 for MacOS PPC shows original items 2 and 3 above to be fixed. The only quibble I have is that, for item 2, the size of the baseline change for old-style superscript and subscript appears to be about twice as large as is specified in half-points in the RTF control words (\up8 and \dn6), or as rendered in Word. This then distorts the line leading. Perhaps the displacements were interpreted as points instead of half-points?

Attached are two PDF files showing the rendering in LibO 3.5.2rc2 for MacOS PPC and Microsoft Word v.X for same, as labeled.

Thanks much for the corrections in any case.
Comment 19 Rhodes 2012-03-30 14:24:43 UTC
Created attachment 59292 [details]
Example rendering by LibO 3.5.2rc2
Comment 20 Rhodes 2012-03-30 14:25:21 UTC
Created attachment 59293 [details]
Example rendering by Word v.X